import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.Scanner;

public class L8App2 {
	public static void main(String[] args) {
		PrintStream output = System.out;

		/*
		 * the pathname of the file I want is:
		 * 
		 * "/Users/mb/000_images_1710/treefrog.jpg"
		 */

		String myPathName = File.separator + "Users" + File.separator + "mb"
				+ File.separator + "000_images_1710" + File.separator
				+ "treefrog.jpg";

		// note the use of string concatenation to construct the path name

		// we could have done the following:
		// String myPathName = "/Users/mb/000_images_1710/treefrog.jpg";
		// but this is not a good practise!! the pathname is not OS independent

		File myFile = new File(myPathName);
		// now we can find out various pieces of information by querying the
		// file object
		output.println(myFile.exists()); // try a different pathname to a file
											// that doesn't exist!
		// just because the File object was created doesn't mean that the file
		// actually exists on the file system
		output.println(myFile.lastModified());
		Date lastModifiedDate = new Date(myFile.lastModified());
		output.println(lastModifiedDate);
		output.println("Size in bytes: " + myFile.length());

	}
}
