import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.Scanner;

import javax.swing.JFileChooser;

public class L8App3 {
	public static void main(String[] args) {
		PrintStream output = System.out;

		JFileChooser chooser;
		chooser = new JFileChooser();
		// chooser.showOpenDialog(null);
		// or
		int returnVal = chooser.showOpenDialog(null);
		// the method "showOpenDialog" will block until dialog goes away (user
		// clicks ok or
		// close) parameter is null - ignore this for the time being

		File theFile = chooser.getSelectedFile();

		// watch out!!! - theFile might be null - demonstrate this

		output.println("The selected file: " + theFile);
		output.println("The return val: " + returnVal);
		output.println(JFileChooser.APPROVE_OPTION);
		output.println(JFileChooser.CANCEL_OPTION);
		// can either check whether theFile is null or can check returnVal
		// return value
		// eg. if (returnVal == JFileChooser.APPROVE_OPTION) then go ahead with
		// other steps

		// !!! last, we can derive the path from the file object
		System.out.println(theFile.getPath());

	}
}
